Debian Bug report logs - #660785
transition: roaraudio

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: pmatthaei@debian.org

Date: Tue, 21 Feb 2012 20:39:02 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Tue, 21 Feb 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Feb 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Debian Bug <submit@bugs.debian.org>, Philipp Schafft <lion@lion.leolix.org>
Subject: transition: roaraudio
Date: Tue, 21 Feb 2012 21:35:50 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

as promoted on IRC we plan to upload roaraudio 1.0~ in the next time
from experimental to unstable.
This is the status of the reverse build dependencies:

* cmus:
works

* libao:
works

* roarplaylistd:
Philipp is the co-maint and upstream of both packages. An adjusted
working roarplaylistd package will appear, when we upload roaraudio to
unstable.

* ices2:
This is the only package which fails, upstream fix available, see #659827

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Sat, 25 Feb 2012 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 19:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 660785@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: pmatthaei@debian.org, 660785@bugs.debian.org
Cc: Philipp Schafft <lion@lion.leolix.org>
Subject: Re: Bug#660785: transition: roaraudio
Date: Sat, 25 Feb 2012 20:17:17 +0100
[Message part 1 (text/plain, inline)]
Patrick Matthäi <pmatthaei@debian.org> (21/02/2012):
> * cmus:
> works
> 
> * libao:
> works
> 
> * roarplaylistd:
> Philipp is the co-maint and upstream of both packages. An adjusted
> working roarplaylistd package will appear, when we upload roaraudio to
> unstable.

OK, thanks for the test-{build,run}s.

> * ices2:
> This is the only package which fails, upstream fix available, see #659827

In case there's any issues with it, it can go away from testing, no rdeps.

Please proceed.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 19:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Sun, 26 Feb 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Schafft <lion@lion.leolix.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Feb 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 660785@bugs.debian.org (full text, mbox):

From: Philipp Schafft <lion@lion.leolix.org>
To: Cyril Brulebois <kibi@debian.org>, 660785@bugs.debian.org
Subject: Re: Bug#660785: transition: roaraudio
Date: Sun, 26 Feb 2012 18:03:11 +0100
[Message part 1 (text/plain, inline)]
reflum,

On Sat, 2012-02-25 at 20:17 +0100, Cyril Brulebois wrote:
> Patrick Matthäi <pmatthaei@debian.org> (21/02/2012):
> > * ices2:
> > This is the only package which fails, upstream fix available, see #659827
> 
> In case there's any issues with it, it can go away from testing, no rdeps.

It's still a very much used software. I also noticed some people install
it from source. I would very much like to keep it. It's much better to
tell the people to just install the package and know it will work.

The very few upstream releases are just because the software is very
stable and there are no much changes required.

(PS: I'm one of upstream supporters and commit patches from time to
time)

-- 
Philipp.
 (Rah of PH2)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Sun, 26 Feb 2012 17:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Feb 2012 17:39:12 GMT) Full text and rfc822 format available.

Message #22 received at 660785@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Philipp Schafft <lion@lion.leolix.org>
Cc: 660785@bugs.debian.org
Subject: Re: Bug#660785: transition: roaraudio
Date: Sun, 26 Feb 2012 18:35:41 +0100
[Message part 1 (text/plain, inline)]
Hi,

Philipp Schafft <lion@lion.leolix.org> (26/02/2012):
> On Sat, 2012-02-25 at 20:17 +0100, Cyril Brulebois wrote:
> > In case there's any issues with it, it can go away from testing, no rdeps.
> 
> It's still a very much used software. I also noticed some people install
> it from source. I would very much like to keep it. It's much better to
> tell the people to just install the package and know it will work.
> 
> The very few upstream releases are just because the software is very
> stable and there are no much changes required.
> 
> (PS: I'm one of upstream supporters and commit patches from time to
> time)

putting back my words in the “let's try and get ${a set of packages} to
migrate together” context, it doesn't mean I want to get rid it
entirely. It basically means a temporary removal from testing so that
the transition can proceed. Once the package is fixed, it can get back
in; and in case anything can be done by the release team to make that
happen (which usually isn't the case), we are happy to do so.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Sun, 26 Feb 2012 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Schafft <lion@lion.leolix.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Feb 2012 18:39:05 GMT) Full text and rfc822 format available.

Message #27 received at 660785@bugs.debian.org (full text, mbox):

From: Philipp Schafft <lion@lion.leolix.org>
To: Cyril Brulebois <kibi@debian.org>, 660785@bugs.debian.org
Subject: Re: Bug#660785: transition: roaraudio
Date: Sun, 26 Feb 2012 19:36:02 +0100
[Message part 1 (text/plain, inline)]
reflum,

On Sun, 2012-02-26 at 18:35 +0100, Cyril Brulebois wrote:
> Philipp Schafft <lion@lion.leolix.org> (26/02/2012):
> > On Sat, 2012-02-25 at 20:17 +0100, Cyril Brulebois wrote:
> > > In case there's any issues with it, it can go away from testing, no rdeps.
> > 
> > It's still a very much used software. I also noticed some people install
> > it from source. I would very much like to keep it. It's much better to
> > tell the people to just install the package and know it will work.
> > 
> > The very few upstream releases are just because the software is very
> > stable and there are no much changes required.
> > 
> > (PS: I'm one of upstream supporters and commit patches from time to
> > time)
> 
> putting back my words in the “let's try and get ${a set of packages} to
> migrate together” context, it doesn't mean I want to get rid it
> entirely. It basically means a temporary removal from testing so that
> the transition can proceed. Once the package is fixed, it can get back
> in; and in case anything can be done by the release team to make that
> happen (which usually isn't the case), we are happy to do so.

Ah, ok. Thanks for your clarification.

-- 
Philipp.
 (Rah of PH2)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Tue, 20 Mar 2012 13:01:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Mar 2012 13:01:20 GMT) Full text and rfc822 format available.

Message #32 received at 660785@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 660785@bugs.debian.org
Cc: Philipp Schafft <lion@lion.leolix.org>
Subject: Re: transition: roaraudio
Date: Tue, 20 Mar 2012 13:47:22 +0100
Am 21.02.2012 21:35, schrieb Patrick Matthäi:
> Hi,
>
> as promoted on IRC we plan to upload roaraudio 1.0~ in the next time
> from experimental to unstable.

roaraudio 1.0~beta is uploaded and built on all architectures.

> This is the status of the reverse build dependencies:
>
> * cmus:
> works

Can't test atm here, but a rebuild would be fine

>
> * libao:
> works

libao needs a rebuild

>
> * roarplaylistd:
> Philipp is the co-maint and upstream of both packages. An adjusted
> working roarplaylistd package will appear, when we upload roaraudio to
> unstable.

0.1~rc6-1 uploaded and it works.

>
> * ices2:
> This is the only package which fails, upstream fix available, see #659827
>

I reopened the bug since the problem is still not fixed.




Added blocking bug(s) of 660785: 659827 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 21:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660785; Package release.debian.org. (Mon, 26 Mar 2012 21:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 26 Mar 2012 21:30:07 GMT) Full text and rfc822 format available.

Message #39 received at 660785@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: pmatthaei@debian.org, 660785@bugs.debian.org
Cc: Philipp Schafft <lion@lion.leolix.org>
Subject: Re: Bug#660785: transition: roaraudio
Date: Mon, 26 Mar 2012 23:28:59 +0200
[Message part 1 (text/plain, inline)]
On Tue, Mar 20, 2012 at 13:47:22 +0100, Patrick Matthäi wrote:

> >This is the status of the reverse build dependencies:
> >
> >* cmus:
> >works
> 
> Can't test atm here, but a rebuild would be fine
> 
> >
> >* libao:
> >works
> 
> libao needs a rebuild
> 
Scheduled binNMUs for libao and cmus.

> >* ices2:
> >This is the only package which fails, upstream fix available, see #659827
> >
> 
> I reopened the bug since the problem is still not fixed.
> 
Any chance it can be fixed soon?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mehdi Dogguy <mehdi@debian.org>:
You have taken responsibility. (Wed, 04 Apr 2012 09:54:12 GMT) Full text and rfc822 format available.

Notification sent to pmatthaei@debian.org:
Bug acknowledged by developer. (Wed, 04 Apr 2012 09:54:14 GMT) Full text and rfc822 format available.

Message #44 received at 660785-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 660785-done@bugs.debian.org
Subject: Re: Bug#660785: transition: roaraudio
Date: Wed, 04 Apr 2012 11:50:40 +0200
On 26/03/12 23:28, Julien Cristau wrote:
> On Tue, Mar 20, 2012 at 13:47:22 +0100, Patrick Matthäi wrote:
>
>>> This is the status of the reverse build dependencies:
>>>
>>> * cmus: works
>>
>> Can't test atm here, but a rebuild would be fine
>>
>>>
>>> * libao: works
>>
>> libao needs a rebuild
>>
> Scheduled binNMUs for libao and cmus.
>

cmus is fixed now, but libao still suggests old binaries. Sadly, the
list of suggested packages is hard-coded in its debian/control file. So
it needs a sourceful upload. I've reported the issue as #667039, but it
can't be considered as RC.

>>> * ices2: This is the only package which fails, upstream fix
>>> available, see #659827
>>>
>>
>> I reopened the bug since the problem is still not fixed.
>>
> Any chance it can be fixed soon?
>

ices2 was fixed and migrated.

libroar1 is gone now. Closing…

-- 
Mehdi




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 May 2012 07:41:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:36:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.